Delete Network Extension
Delete Layer 2 Extension
Removes a Layer 2 extension, tearing down the tunnel between sites.
Request
URI
DELETE
https://{server}/hybridity/api/l2Extensions/{extensionId}
COPY
Path Parameters
string
extensionId
Required
Unique identifier of the Layer 2 extension to delete
extensionId example
stretch-uuid-12345
Query Parameters
boolean
connectToLocalRouter
Optional
Constraints:
default: false
Whether to connect the destination network to its local router after extension removal.
true: Destination network will be routable locally
false (default): Destination network remains isolated
Authentication
This operation uses the following authentication methods.
Responses
200
Status 200
Returns
createNetworkExtension_200_response
of type(s)
application/json
{
"id": "id"
}
string
id
Optional
Job ID
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/hybridity/api/l2Extensions/{extensionId}
Deprecated
On This Page
Network Extensions Operations
POST
Create Network Extension
Deprecated
PUT
Put Network Extension
DELETE
Remove Network Extension
GET
List Network Extensions
POST
Create L2 Network Extension
Deprecated
DELETE
Delete Network Extension
Deprecated